
def parse_html_with_xpath(html, xpath):
    from lxml import etree
    
    # Parse the HTML content
    parser = etree.HTMLParser()
    tree = etree.fromstring(html, parser)
    
    # Find elements using XPath
    elements = tree.xpath(xpath)
    
    # Return the elements as a list of strings
    return [element.text for element in elements]



